<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextDuplicate Method (DatabaseEntry, DatabaseEntry)
Cursor Class See Also Send Feedback

If the next key/data pair of the database is a duplicate data record for the current key/data pair, move the cursor to the next key/data pair in the database, and store that pair in Current. MoveNextDuplicate returns false if the next key/data pair of the database is not a duplicate data record for the current key/data pair. If either the key or the data is partial DatabaseEntry, its PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprised the entire record. If any or all of the specified bytes do not exist in the record, MoveNextDuplicate is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool MoveNextDuplicate(
    	DatabaseEntry key,
    	DatabaseEntry data
    )

Visual Basic (Declaration)

    Public Function MoveNextDuplicate ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry _
    ) As Boolean

Visual C++

    public:
    bool MoveNextDuplicate(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved key

data
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved data

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current contains an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MoveNextDuplicate Overload
BerkeleyDB Namespace